# Generated from reachable-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name reachable

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Reachable is a small Ruby liby that extends the Array class so that Arrays are more transparent to methods
License: MIT
URL: http://github.com/wwood/reachable
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) > 1.6.0
BuildArch: noarch

%description
For instance, a ReachableArray of Book objects can not only take normal Array
methods such as
collect and sum, but also methods that operate Book objects, such as author
and title. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/rdoc.sh
%{gem_instdir}/reachable.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.3.0-1
- Initial package
